import { defineStore } from 'pinia';
import { ref } from 'vue'

export const useUserStore = defineStore('user', () => {
	const userInfo = ref({});
	const userId = ref(0);
	
	function setUserInfo(info) {
		userInfo.value = info;
	}
	
	function setUserId(id) {
		userId.value = id;
	}
	
	return { userInfo, userId, setUserInfo, setUserId };
})
